Get Image Version
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/{goldImageId}/versions/{versionId}
Gets information regarding the specified version of the image
Request
Path Parameters
-
goldImageId(required): string
ID of the image
-
versionId(required): string
ID of the image version
Query Parameters
-
include: string
Provide a report if this version of the image can be deletedAllowed Values:
[ "deleteVersionReport" ]
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Ok. Image version is retrieved.
Root Schema : GoldImageVersion
Type:
objectSummary of the image version
Match All
Summary of the image version
Show Source
-
object
GoldImageVersionSummary
Summary of the image version
Match One Schema
Show Source
-
object
DeleteGoldImageVersionReport
Delete gold image version report
Nested Schema : GoldImageVersionSummary
Type:
objectSummary of the image version
Show Source
-
externalId: string
External ID of the image versionExample:
oracle:defaultService:em:provisioning:1:cmp:COMP_Component:SUB_OracleDB:4BAFA861A7E96603E053057FB10A0588:0.1 -
hashCode: string
HashCode of the image versionExample:
C1622270664:B<NO_PATCHES> -
id: string
ID of the image versionExample:
4BAFA861A7ED6603E053057FB10A0588 -
imageId: string
ID of the imageExample:
4B7738536B6E7888E053057FB10ACF8C -
links: object
links
Navigation links
-
name: string
Name of the image versionExample:
PSUNos -
position: string
Position of a image versionExample:
1 -
provisioningStatus: string
Status of the provisioningExample:
READY -
releaseVersion: string
RU details of the versionExample:
19.12.0.0.0 -
status: string
Status of the image versionExample:
CURRENT -
timeCreated: string
(date-time)
Creation time of the image versionExample:
2017-03-27 10:13:28.0
Nested Schema : DeleteGoldImageVersionReport
Type:
objectDelete gold image version report
Show Source
-
message: string
Message indicates whether image version can be deletedExample:
if the version is not CURRENT then message is "The version is a candidate for deletion." else message is "CURRENT version of the image cannot be deleted"
Nested Schema : links
Type:
objectNavigation links
Show Source
-
self: object
Link
It represents a Link
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message